// wzTUIUtils.h - Textual UI utilities
// Copyright (C) 2007  XMartin Yao
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include "wzTUIUtils.h"

#include <iostream>
using namespace std;


////////////////////////////////////////////
short wzTUIUtils::Select1Digit( short start, short end )
{
    short Selection = 0;

    // one-digit only
    if( start < 0 || start > 10 || end < start || end > 10 )
        return Selection;

    do
    {
        cout << "  Choose ( " << start << " ~ " << end << " ): ";
        char  Char = 0;
        if( !(cin >> Char) )
        {
            cin.clear();
            Selection = 0;
            break;
        }

        Selection = static_cast<short>( Char - '0' );

    } while( Selection < start || Selection > end );

    return Selection;
}
