// wzIDs.h - IDs for wx GUI app
// Copyright (C) 2006-2007  XMartin Yao
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef __WZ_IDS_H__
#define __WZ_IDS_H__


///////////////
// IDs for controls
/////////////////////////////////////
enum 
{
    wzID_NEW_GAME  = wxID_HIGHEST + 1,
    wzID_OPEN_GAME,
    wzID_SAVE_GAME,
    wzID_SAVE_GAME_AS,
    wzID_STOP_GAME,
    wzID_UNDO_MOVE,
    wzID_HINT_MOVE,
    wzID_FIRST_PLY,
    wzID_PREV_PLY,
    wzID_NEXT_PLY,
    wzID_LAST_PLY,
    wzID_OPTIONS,
    wzID_TOGGLE_VIEW,
    wzID_TOGGLE_SOUND,
    wzID_BLACK_COMPUTER,
    wzID_BLACK_COMP_LEVEL,
    wzID_BLACK_HUMAN,
    wzID_BLACK_LUA_AI,
    wzID_BLACK_LUA_SEL,
    wzID_WHITE_COMPUTER,
    wzID_WHITE_COMP_LEVEL,
    wzID_WHITE_HUMAN,
    wzID_WHITE_LUA_AI,
    wzID_WHITE_LUA_SEL,
    wzID_STATUS_TIMER,
    wzID_CLOCK_TICKER,
    wzID_HILIGHT_TIMER,
    wzID_HINT_STOPPER
}; 

#endif

