// wzLuaOutputDlg.h - Frame window for wx GUI app
// Copyright (C) 2006  XMartin Yao
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef __WZ_LUA_OUTPUT_DLG_H__
#define __WZ_LUA_OUTPUT_DLG_H__


/////////////////////////////////////////////////
class wzLuaOutputDlg : public wxDialog
{
public:
    wzLuaOutputDlg();
    virtual ~wzLuaOutputDlg() {}

    void Append( const wxString& msg );
    void Clean();

    void OnClose   ( wxCloseEvent& event );
    void OnCloseBtn( wxCommandEvent& event ); 
    void OnClearBtn( wxCommandEvent& event ); 

private:
    void InitDlg();

    wxTextCtrl*  m_pOutputMsg;

    DECLARE_EVENT_TABLE()
};

/////////////////////////
inline void wzLuaOutputDlg::Clean()
{
    m_pOutputMsg->Clear();
}

//////////////////////////////////////
inline void wzLuaOutputDlg::OnClose( wxCloseEvent& )
{
    Show( false );
}

//////////////////////////////////////
inline void wzLuaOutputDlg::OnCloseBtn( wxCommandEvent& )
{
    Show( false );
}

//////////////////////////////////////
inline void wzLuaOutputDlg::OnClearBtn( wxCommandEvent& )
{
    Clean();
}

#endif
