// wzEvaluatorTest.cpp - Unit test for wzEvaluator
// Copyright (C) 2006  XMartin Yao
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include <TestSuite.h>
#include <TestCaller.h>

#include "wzEvaluatorTest.h"
#include <wzEvaluator.h>
#include <wzBoardBase.h>

void wzEvaluatorTest::testEvaluate()
{
    wzEvaluator  e;
    wzBoardBase  b;
    long long    score;

    b.Set( 7, 7, wzBLACK );
    b.Set( 8, 8, wzWHITE );
    b.Set( 7, 5, wzBLACK );
    b.Set( 6, 8, wzWHITE );
    b.Set( 7, 8, wzBLACK );
    b.Set( 7, 9, wzWHITE );
    b.Set( 7, 6, wzBLACK );
    b.Set( 7, 4, wzWHITE );
    b.Set( 6, 7, wzBLACK );
    b.Set( 6, 10,wzWHITE );
    b.Set( 9, 7, wzBLACK );
    b.Set( 8, 7, wzWHITE );
#if 0
    b.Set( 5, 11, wzBLACK );
    score = e.Evaluate( b, wzBLACK );
    cout << "score = " << score << endl;

    //b.Reset( 5, 11 );
    b.Set( 8, 10, wzWHITE );
    score = e.Evaluate( b, wzWHITE );
    cout << "score = " << score << endl;
#endif

    assert( false );
}

Test* wzEvaluatorTest::suite()
{
    TestSuite *suite = new TestSuite( "wzEvaluatorTest" );

    suite->addTest( CU_SUIT_TEST( wzEvaluatorTest, testEvaluate ) );

    return suite;
}
