// wzDefs.h - Define commonly used constants, types
// Copyright (C) 2006-2007  XMartin Yao
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef __WZ_DEFS_H__
#define __WZ_DEFS_H__

// app name
#define wzAPP_NAME       "Tick5"
#define wzAPP_COPYRIGHT  "Copyright (C) 2006-2007  XMartin Yao"
#define wzAPP_WEBSIT     "http://tick5.sourceforge.net/"


// 8-bit unsigned int
typedef unsigned char  wzUInt8;


// dimension of the board: 15x15
static const short  wzDimension = 15;
static const short  wzLattices  = wzDimension*wzDimension;


// colors of the stones
enum wzSTONE { wzBLACK = 1, wzNONE = 0, wzWHITE = -1 };


// code of players
static const wzUInt8  wzCOMPUTER_PLAYER = 0x08;
static const wzUInt8  wzCOMPUTER_LEVEL1 = 0x01;
static const wzUInt8  wzCOMPUTER_LEVEL2 = 0x02;
static const wzUInt8  wzCOMPUTER_LEVEL3 = 0x03;
static const wzUInt8  wzCOMPUTER_MAX_LEVEL = wzCOMPUTER_LEVEL2;
static const wzUInt8  wzHUMAN_PLAYER  = 0x10;
static const wzUInt8  wzLUA_AI_PLAYER = 0x20;


// names of players
#define wzCOMPUTER_PLAYER_NAME  "Albeta"
#define wzHUMAN_PLAYER_NAME     "Anonymous"


#endif //__WZ_DEFS_H__
