// wzPlayerFactory.h - Player factory base
// Copyright (C) 2006-2007  XMartin Yao
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef __WZ_PLAYER_FACTORY_H__
#define __WZ_PLAYER_FACTORY_H__

#include "wzDefs.h"
#include <string>

class wzPlayer;
class wzOptions;


///////////////////////////////
class wzPlayerFactory
{
public:
    wzPlayerFactory() {}
    virtual ~wzPlayerFactory() {}

    wzPlayer*  Create( wzSTONE stone, const wzOptions& options );

protected:
    virtual wzPlayer*  CreateLuaPlayer( wzSTONE stone, const std::string& script );
};

#endif
