// wzTUILuaVM.cpp - C++ wrapper of lua_State
// Copyright (C) 2006  XMartin Yao
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include "wzTUILuaVM.h"

#include <iostream>
using namespace std;


////////////////////////////////////////
wzTUILuaVM::wzTUILuaVM( short LuaLibs )
  : wzLuaVM( LuaLibs )
{
    // register it as Lua's _ALERT method
    // by default, the method is not implemented, 
    // but a placehold
    lua_register( m_pLS, "_ALERT", LuaAlter );
}

///////////////
// take care Lua's outputs
////////////////////////////////////////
int wzTUILuaVM::LuaAlter( lua_State* pLS )
{
    cout << lua_tostring( pLS, -1 ) << endl;
    lua_pop( pLS, 1 ); 

    return 0;
}
