// wzTUIBoard.cpp - User-defined wxWidgets events
// Copyright (C) 2006-2007  XMartin Yao
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

#include "wzEvent.h"


// wzGameRunEvent implementation
DEFINE_EVENT_TYPE( wzEVT_GAME_IDLE )
IMPLEMENT_DYNAMIC_CLASS( wzGameIdleEvent, wxEvent )

// wzGameRunEvent implementation
DEFINE_EVENT_TYPE( wzEVT_GAME_RUN )
IMPLEMENT_DYNAMIC_CLASS( wzGameRunEvent, wxEvent )

// wzGameEndEvent implementation
DEFINE_EVENT_TYPE( wzEVT_GAME_END )
IMPLEMENT_DYNAMIC_CLASS( wzGameEndEvent, wxEvent )

// wzGameReplayEvent implementation
DEFINE_EVENT_TYPE( wzEVT_GAME_REPLAY )
IMPLEMENT_DYNAMIC_CLASS( wzGameReplayEvent, wxEvent )

// wzDisplayEvent implementation
DEFINE_EVENT_TYPE( wzEVT_DISPLAY )
IMPLEMENT_DYNAMIC_CLASS( wzDisplayEvent, wxEvent )

// wzLuaOutputEvent implementation
DEFINE_EVENT_TYPE( wzEVT_LUA_OUTPUT )
IMPLEMENT_DYNAMIC_CLASS( wzLuaOutputEvent, wxEvent )

// wzFilePromptEvent implementation
DEFINE_EVENT_TYPE( wzEVT_FILE_PROMPT )
IMPLEMENT_DYNAMIC_CLASS( wzFilePromptEvent, wxEvent )

// wzFileChangeEvent implementation
DEFINE_EVENT_TYPE( wzEVT_FILE_CHANGE )
IMPLEMENT_DYNAMIC_CLASS( wzFileChangeEvent, wxEvent )

// wzFileErrorEvent implementation
DEFINE_EVENT_TYPE( wzEVT_FILE_ERROR )
IMPLEMENT_DYNAMIC_CLASS( wzFileErrorEvent, wxEvent )
