// wzGUIStrings.h - Strings for wx GUI app
// Copyright (C) 2006  XMartin Yao
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef __WZ_GUI_STRINGS_H__
#define __WZ_GUI_STRINGS_H__

#include <config.h>
#include <wzDefs.h>


static const wxString  wzAppName      = _( wzAPP_NAME );
static const wxString  wzAppVersion   = _( PACKAGE_VERSION );
static const wxString  wzAppNameLong  = wzAppName + _( "  Version " ) + wzAppVersion;
static const wxString  wzAppCopyright = _( wzAPP_COPYRIGHT );
static const wxString  wzContactInfo  = wxT( PACKAGE_BUGREPORT );
static const wxString  wzAppWebsite   = wxT( wzAPP_WEBSIT );

static const wxString  wzNotReady =  wxString( wxT("Not available in this release.\n") ) + 
                                     wxString( wxT("Please check the website for latest updates.\n") ) +
                                     wzAppWebsite;

#endif //__WZ_GUI_STRINGS_H__
